Name:           bino
Version:        2.5
Release:        %mkrel 3
Summary:        Video Player with 3D and Multi-Display Video Support
Group:          Video/Players
License:        GPLv3+
URL:            https://bino3d.org/
Source0:        https://bino3d.org/releases/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Linguist)
BuildRequires:  cmake(QVR) >= 4.1.0
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew) >= 1.5.0
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  ffmpeg-devel
BuildRequires:  gettext-devel
BuildRequires:  gcc-gfortran
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  texinfo

%description
Bino is a video player with the following main features:

- Support for stereoscopic 3D video, with a wide variety of input and output
formats.
- Support for multi-display video, e.g. for powerwalls, Virtual Reality
installations and other multi-projector setups.


%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/doc

%files
%doc NEWS.md README.md
%license LICENSE.md
%{_bindir}/bino
#{_mandir}/man1/*
%{_datadir}/applications/*%{name}*.desktop
%{_metainfodir}/org.bino3d.bino.metainfo.xml
%{_iconsdir}/hicolor/*/apps/*%{name}*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 2.5-3.mga10
+ Revision: 2249355
- Mageia 10 Mass Rebuild

* Sun Mar 23 2025 daviddavid <daviddavid> 2.5-2.mga10
+ Revision: 2169094
- enable qvr support

* Sun Mar 23 2025 daviddavid <daviddavid> 2.5-1.mga10
+ Revision: 2169078
- new version: 2.5

* Thu Oct 17 2024 mrambo3501 <mrambo3501> 2.3-1.mga10
+ Revision: 2107827
- version 2.3

* Thu Jun 20 2024 daviddavid <daviddavid> 2.2-1.mga10
+ Revision: 2075684
- new version: 2.2

* Mon Feb 12 2024 daviddavid <daviddavid> 2.1-2.mga10
+ Revision: 2040463
- enable Qvr support

* Sat Feb 10 2024 daviddavid <daviddavid> 2.1-1.mga10
+ Revision: 2040130
- new version: 2.1

* Thu Nov 10 2022 kekepower <kekepower> 2.0-1.mga9
+ Revision: 1905413
- Add more Qt6 BRs
- Update to version 2.0
- Uses Qt6
- Switched from configure to cmake
+ neoclust <neoclust>
- Rebuild against new avutils
+ danf <danf>
- Update urls to https:
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ luigiwalser <luigiwalser>
- 1.6.8
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Wed Dec 16 2020 umeabot <umeabot> 1.6.7-5.mga8
+ Revision: 1658153
- Rebuild for new Qt5

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1.6.7-4.mga8
+ Revision: 1651338
- rebuild for glew

* Sat Feb 15 2020 umeabot <umeabot> 1.6.7-3.mga8
+ Revision: 1524412
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Mar 30 2019 umeabot <umeabot> 1.6.7-2.mga7
+ Revision: 1381306
- Qt5 Rebuild

* Wed Sep 12 2018 shlomif <shlomif> 1.6.7-1.mga7
+ Revision: 1258659
- New version 1.6.7

* Sun Apr 29 2018 daviddavid <daviddavid> 1.6.6-2.mga7
+ Revision: 1223301
- patch0: Re-enable OpenGL stereo support for Qt >= 5.10
- patch1: fix build against ffmpeg 4.0

* Sat Mar 03 2018 shlomif <shlomif> 1.6.6-1.mga7
+ Revision: 1206385
- New version 1.6.6

* Mon Dec 04 2017 daviddavid <daviddavid> 1.6.5-4.mga7
+ Revision: 1181149
- rebuild for new glew 2.1.0

* Sun Aug 06 2017 cjw <cjw> 1.6.5-3.mga7
+ Revision: 1137870
- fix build with glew 2.0 and qt5.x+gcc5
+ akien <akien>
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1.6.5-2.mga6
+ Revision: 1089839
- Rebuild for ffmpeg 3.2.4

* Sat Feb 25 2017 cjw <cjw> 1.6.5-1.mga6
+ Revision: 1087824
- 1.6.5

* Tue Jan 10 2017 luigiwalser <luigiwalser> 1.6.3-2.mga6
+ Revision: 1080917
- rebuild for libass

* Mon Sep 05 2016 daviddavid <daviddavid> 1.6.3-1.mga6
+ Revision: 1050116
- new version: 1.6.3
- port to Qt5

* Sat Feb 13 2016 umeabot <umeabot> 1.6.1-6.mga6
+ Revision: 959590
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1.6.1-5.mga6
+ Revision: 868766
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 1.6.1-4.mga6
+ Revision: 841994
- Rebuild for GLEW 1.12

* Sun Nov 16 2014 cjw <cjw> 1.6.1-3.mga5
+ Revision: 797549
- add BuildRequires: texinfo
- 1.6.1
- add qt4 bindir to path so configure can find moc and rcc
+ fwang <fwang>
- rebuild for new ffmpeg

* Wed Oct 15 2014 umeabot <umeabot> 1.4.2-8.mga5
+ Revision: 746681
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.2-7.mga5
+ Revision: 678154
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1.4.2-6.mga5
+ Revision: 670259
- rebuild for glew

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.4.2-5.mga5
+ Revision: 592220
- rebuild for libass

* Sat Oct 19 2013 umeabot <umeabot> 1.4.2-4.mga4
+ Revision: 530457
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 1.4.2-3.mga4
+ Revision: 457683
- Rebuild for new glew

* Fri Jul 12 2013 fwang <fwang> 1.4.2-2.mga4
+ Revision: 453251
- fix build with ffmpeg 2.0
- rebuild for new ffmpeg

* Tue Jul 09 2013 tmb <tmb> 1.4.2-1.mga4
+ Revision: 451998
- update to 1.4.2

* Fri Jan 11 2013 umeabot <umeabot> 1.4.1-4.mga3
+ Revision: 346905
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.4.1-3.mga3
+ Revision: 341612
- rebuild for new ffmpeg

* Sat Dec 01 2012 kamil <kamil> 1.4.1-2.mga3
+ Revision: 324339
- rebuild for Mga3 Beta1

* Fri Oct 19 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 308210
- fix build from archlinux
- autoreconf is not needed
- br gettext
- update rpm group
- new version 1.4.1
- rebuild for new glew

* Wed Jun 27 2012 kamil <kamil> 1.4.0-1.mga3
+ Revision: 264196
- new version 1.4.0

* Tue May 29 2012 fwang <fwang> 1.3.0-3.mga3
+ Revision: 249065
- upload tarball
- rebuild for new ffmpeg

* Tue Jan 31 2012 kamil <kamil> 1.3.0-2.mga2
+ Revision: 203614
- add BR on pkgconfig(liblircclient0) for LIRC support

* Mon Jan 30 2012 kamil <kamil> 1.3.0-1.mga2
+ Revision: 203424
- update to the latest development version 1.3.0

* Sun Jan 22 2012 kamil <kamil> 1.2.1-1.mga2
+ Revision: 199663
- adapt .spec for Mageia
- imported package bino


* Tue Nov 22 2011 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.2.1-1
+ Revision: 732468
- imported package bino

